# Event logs

### Get Event Logs by Address, Block Number in Range and Topic <a href="#event-logs" id="event-logs"></a>

Returns event log by address, block number, range, and topic.

```
GET https://testnetapi.metadium.com/v1/event-logs?address={address}
api-key: Your API Key
```

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table data-header-hidden><thead><tr><th width="209"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter</strong></td><td><strong>Description</strong></td></tr><tr><td><em>address</em></td><td><p>type: String</p><p>value: Address of contract</p><p>required: true</p></td></tr><tr><td><em>limit</em></td><td><p>type: Integer</p><p>value: Maximum number of record will retrieve (Default: 50, Max: 1000)</p><p>required: false</p></td></tr><tr><td><em>offset</em></td><td><p>type: Integer</p><p>value: Start retrieve record (Default: 0)</p><p>required: false</p></td></tr><tr><td><em>startBlock</em></td><td><p>type: String</p><p>value: Start block (Default: null)</p><p>required: false</p></td></tr><tr><td><em>endBlock</em></td><td><p>type: String</p><p>value: End block (Default: null)</p><p>required: false</p></td></tr><tr><td><em>type</em></td><td><p>type: String</p><p>value: Operation conditions (single/conbine)</p><p>required: false</p></td></tr><tr><td><em>topic_0</em></td><td><p>type: String</p><p>value: topic0</p><p>required: false</p></td></tr><tr><td><em>topic_1</em></td><td><p>type: String</p><p>value: topic_1</p><p>required: false</p></td></tr><tr><td><em>topic_2</em></td><td><p>type: String</p><p>value: topic_2</p><p>required: false</p></td></tr><tr><td><em>topic_3</em></td><td><p>type: String</p><p>value: topic_3</p><p>required: false</p></td></tr><tr><td><em>operand</em></td><td><p>type: String</p><p>value: Type conditions (and/or)</p><p>required: false</p></td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

```
//Response Sample Result
{
    "status": "200",
    "message": "success",
    "results": {
        "count": "71",
        "data": [
            {
                "timestamp": "2019-04-10T05:29:25Z",
                "address": "0x7cc00f43684607b1d6d9a11a371204eeea8cee8f",
                "data": "0x000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000001e4b1a34e0d000000000000000000000000000000000000000000000000000000000000003c00000000000000000000000000000000000000000000000000000000000000010000000000000000000000007cc00f43684607b1d6d9a11a371204eeea8cee8f00000000000000000000000000000000000000000000000000000000000000c0000000000000000000000000000000000000000000000000000000000000014000000000000000000000000000000000000000000000000000000000000001800000000000000000000000000000000000000000000000000000000000000041d922a1190ce714a5a0bc7978f1420b0b351f4ecc851bf4891e3f5379f1d8041a4b1435088f7155f06a2bd16f0a3489e58eb2bccc548b15a8840f5bd63d94d69f1b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002040df103a110d676d571f133bf17489bc0fe40856a74704a6909380945f834969000000000000000000000000000000000000000000000000000000000000002e516d5644345372454270674d776350464d78376b426d5868645275426553376e43645a43437079487a417171524a00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
                "method": "0x1f920dbd",
                "transaction_hash": "0x930c7f3b4985748f6a11ed625aa5226e990efe257e19645ef1ed00ea4e5bfcab",
                "log_name": null,
                "log_abi": null,
                "address_type": null,
                "address_extra": null,
                "transaction_index": "0",
                "log_index": "2",
                "topics_count": "4",
                "topic_0": "0x1f920dbda597d7bf95035464170fa58d0a4b57f13a1c315ace6793b9f63688b8",
                "topic_1": "0x1976a1616fcc0b0bcf96edc8f81930d8d27165a6535ecd32b746c99c936f4403",
                "topic_2": "0x0000000000000000000000007cc00f43684607b1d6d9a11a371204eeea8cee8f",
                "topic_3": "0x0000000000000000000000000000000000000000000000000000000000000000"
            },
            ...
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metadium.com/ko/api-reference/explorer-api/event-logs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
